Name:        atkinson-hyperlegible-mono-nerd-fonts
Version:     3.4.0
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     OFL-1.1
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/AtkinsonHyperlegibleMono.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c

%build
# Nothing to do here

%install

install -Dm644 AtkynsonMonoNerdFont-Bold.otf %{buildroot}%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFont-Bold.otf
install -Dm644 AtkynsonMonoNerdFont-BoldItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFont-BoldItalic.otf
install -Dm644 AtkynsonMonoNerdFont-Italic.otf %{buildroot}%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFont-Italic.otf
install -Dm644 AtkynsonMonoNerdFont-Light.otf %{buildroot}%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFont-Light.otf
install -Dm644 AtkynsonMonoNerdFont-LightItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFont-LightItalic.otf
install -Dm644 AtkynsonMonoNerdFont-Medium.otf %{buildroot}%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFont-Medium.otf
install -Dm644 AtkynsonMonoNerdFont-MediumItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFont-MediumItalic.otf
install -Dm644 AtkynsonMonoNerdFont-Regular.otf %{buildroot}%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFont-Regular.otf
install -Dm644 AtkynsonMonoNerdFontMono-Bold.otf %{buildroot}%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFontMono-Bold.otf
install -Dm644 AtkynsonMonoNerdFontMono-BoldItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFontMono-BoldItalic.otf
install -Dm644 AtkynsonMonoNerdFontMono-Italic.otf %{buildroot}%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFontMono-Italic.otf
install -Dm644 AtkynsonMonoNerdFontMono-Light.otf %{buildroot}%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFontMono-Light.otf
install -Dm644 AtkynsonMonoNerdFontMono-LightItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFontMono-LightItalic.otf
install -Dm644 AtkynsonMonoNerdFontMono-Medium.otf %{buildroot}%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFontMono-Medium.otf
install -Dm644 AtkynsonMonoNerdFontMono-MediumItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFontMono-MediumItalic.otf
install -Dm644 AtkynsonMonoNerdFontMono-Regular.otf %{buildroot}%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFontMono-Regular.otf
install -Dm644 AtkynsonMonoNerdFontPropo-Bold.otf %{buildroot}%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFontPropo-Bold.otf
install -Dm644 AtkynsonMonoNerdFontPropo-BoldItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFontPropo-BoldItalic.otf
install -Dm644 AtkynsonMonoNerdFontPropo-Italic.otf %{buildroot}%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFontPropo-Italic.otf
install -Dm644 AtkynsonMonoNerdFontPropo-Light.otf %{buildroot}%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFontPropo-Light.otf
install -Dm644 AtkynsonMonoNerdFontPropo-LightItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFontPropo-LightItalic.otf
install -Dm644 AtkynsonMonoNerdFontPropo-Medium.otf %{buildroot}%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFontPropo-Medium.otf
install -Dm644 AtkynsonMonoNerdFontPropo-MediumItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFontPropo-MediumItalic.otf
install -Dm644 AtkynsonMonoNerdFontPropo-Regular.otf %{buildroot}%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFontPropo-Regular.otf

%files

%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFont-Bold.otf
%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFont-BoldItalic.otf
%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFont-Italic.otf
%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFont-Light.otf
%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFont-LightItalic.otf
%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFont-Medium.otf
%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFont-MediumItalic.otf
%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFont-Regular.otf
%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFontMono-Bold.otf
%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFontMono-BoldItalic.otf
%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFontMono-Italic.otf
%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFontMono-Light.otf
%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFontMono-LightItalic.otf
%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFontMono-Medium.otf
%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFontMono-MediumItalic.otf
%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFontMono-Regular.otf
%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFontPropo-Bold.otf
%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFontPropo-BoldItalic.otf
%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFontPropo-Italic.otf
%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFontPropo-Light.otf
%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFontPropo-LightItalic.otf
%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFontPropo-Medium.otf
%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFontPropo-MediumItalic.otf
%{_datadir}/fonts/%{name}/AtkynsonMonoNerdFontPropo-Regular.otf
%license "LICENSE.txt"
%doc "README.md"

%changelog
* Sat May 10 2025 Kyle Bloom <kylejbloom@gmail.com> - 3.4.0-1
- Updated to version v3.4.0
